最後のチーム管理者

Moses Skodaエンジニア読了目安 1分

APIはこの問題に対して409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/last-team-managerです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。

この変更を行うと、組織内でorg:manage_team権限を持つメンバーがいなくなり、誰もチームを管理できなくなります。まず、別のメンバーにこの権限を付与してください。

フィールド#

レスポンス本文には、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
organizationIdstring

例#

json
{
  "detail": "This change would leave the organization with nobody holding org:manage_team, so nobody could manage the team. Give that permission to another member first.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/last-team-manager",
  "status": 409,
  "title": "Last team manager"
}

このエラーを返すエンドポイント#

  • PATCH /v2/organizations/{orgId}/members/{userId}